Bug 25658 - Print icon sometimes obscures patron barcode
Summary: Print icon sometimes obscures patron barcode
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Alex Arnaud
URL:
Keywords:
Depends on: 17854
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-02 19:43 UTC by Benjamin Daeuber
Modified: 2020-11-30 21:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01


Attachments
screenshot of the print button covering the patron information (8.86 KB, image/png)
2020-06-02 19:43 UTC, Benjamin Daeuber
Details
Bug 25658: Print icon sometimes obscures patron barcode (1.44 KB, patch)
2020-06-04 15:33 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25658: Print icon sometimes obscures patron barcode (1.50 KB, patch)
2020-06-07 12:23 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25658: Print icon sometimes obscures patron barcode (1.55 KB, patch)
2020-06-12 07:56 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Daeuber 2020-06-02 19:43:52 UTC
Created attachment 105499 [details]
screenshot of the print button covering the patron information

On circulation.pl, the print icon in the checkout box can sometimes obscure the patron's barcode. Making the window a slightly different size can address this, but that' sometimes not an option. I am attaching a screenshot. This is taken from Chrome 83, but I can confirm it's occurring in Firefox as well.
Comment 1 Jonathan Druart 2020-06-04 13:17:03 UTC
Where does come from this print icon?
Comment 2 Benjamin Daeuber 2020-06-04 13:25:07 UTC
(In reply to Jonathan Druart from comment #1)
> Where does come from this print icon?

It was introduced in 19.05 with the DisplayClearScreenButton system preference.
Comment 3 Owen Leonard 2020-06-04 15:33:37 UTC
Created attachment 105560 [details] [review]
Bug 25658: Print icon sometimes obscures patron barcode

This patch alters the style of the patron name/cardnumber label on the
checkout screen so that it has a maximum width. This will help avoid the
label being obscured by the print/close buttons displayed when
DisplayClearScreenButton is enabled.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Enable the DisplayClearScreenButton system preference.
 - Check out to a patron. Resize the browser to confirm that at narrower
   browser widths the patron name in the checkout form isn't obscured by
   the print and clear screen buttons.
Comment 4 Katrin Fischer 2020-06-07 12:23:48 UTC
Created attachment 105617 [details] [review]
Bug 25658: Print icon sometimes obscures patron barcode

This patch alters the style of the patron name/cardnumber label on the
checkout screen so that it has a maximum width. This will help avoid the
label being obscured by the print/close buttons displayed when
DisplayClearScreenButton is enabled.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Enable the DisplayClearScreenButton system preference.
 - Check out to a patron. Resize the browser to confirm that at narrower
   browser widths the patron name in the checkout form isn't obscured by
   the print and clear screen buttons.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Alex Arnaud 2020-06-12 07:56:47 UTC
Created attachment 105778 [details] [review]
Bug 25658: Print icon sometimes obscures patron barcode

This patch alters the style of the patron name/cardnumber label on the
checkout screen so that it has a maximum width. This will help avoid the
label being obscured by the print/close buttons displayed when
DisplayClearScreenButton is enabled.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Enable the DisplayClearScreenButton system preference.
 - Check out to a patron. Resize the browser to confirm that at narrower
   browser widths the patron name in the checkout form isn't obscured by
   the print and clear screen buttons.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 6 Jonathan Druart 2020-06-15 10:00:55 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-06-17 22:54:38 UTC
backported to 20.05.x for 20.05.01
Comment 8 Aleisha Amohia 2020-06-22 03:44:00 UTC
patches do not apply cleanly, please rebase if needed on 19.11.x